6.0.0-git
2019-03-19

[#11584] Kolab backend: Creation of task gives PHP warning
Summary Kolab backend: Creation of task gives PHP warning
Queue Nag
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-10-29 (2332 days ago)
Due
Updated 2013-01-24 (2245 days ago)
Assigned 2012-11-12 (2318 days ago)
Resolved 2013-01-24 (2245 days ago)
Milestone
Patch Yes

History
2013-01-24 11:57:38 Jan Schneider State ⇒ Resolved
 
2013-01-24 11:57:04 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 5dd073a663390a5bba56b61862689035b1bd9b82
Author: Thomas Jarosch <thomas.jarosch@intra2net.com>
Date:   Mon Dec 3 15:32:47 2012 +0100

     Fix cosmetic warnings when using the Kolab backend (Bug #11584)

     Signed-off-by: Thomas Jarosch <thomas.jarosch@intra2net.com>
     Signed-off-by: Jan Schneider <jan@horde.org>

  nag/lib/Driver/Kolab.php |    5 ++++-
  1 files changed, 4 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/5dd073a663390a5bba56b61862689035b1bd9b82
2013-01-08 10:52:04 Thomas Jarosch Comment #3 Reply to this comment
ping
2012-12-03 14:35:34 Thomas Jarosch Patch ⇒ Yes
 
2012-12-03 14:35:05 Thomas Jarosch Comment #2
New Attachment: 0001-Fix-cosmetic-warnings-when-using-the-Kolab-backend-B.patch Download
Reply to this comment
Attached patch fixes the issue.

2012-11-12 15:37:11 Thomas Jarosch Assigned to Jan Schneider
State ⇒ Assigned
 
2012-10-29 11:26:36 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Kolab backend: Creation of task gives PHP warning
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

when you create a new task with the Kolab backend, these warnings are logged:

2012-10-29T12:24:23+01:00 WARN: HORDE [nag] PHP ERROR: array_diff() 
[<a href='function.array-diff'>function.array-diff</a>]: Argument #1 
is not an array [pid 17934 on line 774 of 
"/datastore/DEVEL/horde/nag/lib/Task.php"]
2012-10-29T12:24:23+01:00 WARN: HORDE [nag] PHP ERROR: Invalid 
argument supplied for foreach() [pid 17934 on line 55 of 
"/datastore/DEVEL/horde/nag/templates/list/_task.html.php"]

Cheers,
Thomas

Saved Queries